summaryrefslogtreecommitdiffstats
path: root/mkspecs
diff options
context:
space:
mode:
authorAllan Sandfeld Jensen <allan.jensen@qt.io>2017-03-28 09:58:11 +0200
committerJani Heikkinen <jani.heikkinen@qt.io>2017-05-08 18:06:34 +0000
commit79759e69ccae1c10bbe78fc0f5d5e0711d7462a2 (patch)
treed6e50d3f14a018949d14b274a000aebdf3f77106 /mkspecs
parent3171311d7f07eb00c967e77ef7170125a4dcb301 (diff)
Move ICU configuration to new configure system
The command-line switches is called webengine-icu to avoid conflicting with icu switches in other modules. Change-Id: Ic923a199efbc4081b3c30f0cafa4b7ea786bdb00 Reviewed-by: Michael BrĂ¼ning <michael.bruning@qt.io> Reviewed-by: Oswald Buddenhagen <oswald.buddenhagen@qt.io>
Diffstat (limited to 'mkspecs')
-rw-r--r--mkspecs/features/configure.prf22
1 files changed, 12 insertions, 10 deletions
diff --git a/mkspecs/features/configure.prf b/mkspecs/features/configure.prf
index 9b0be014..b293a5ef 100644
--- a/mkspecs/features/configure.prf
+++ b/mkspecs/features/configure.prf
@@ -36,6 +36,8 @@ defineTest(runConfigure) {
else: WEBENGINE_CONFIG += use_bundled_opus
qtConfig(system-ffmpeg): WEBENGINE_CONFIG += use_system_ffmpeg
else: WEBENGINE_CONFIG += use_bundled_ffmpeg
+ qtConfig(system-icu): WEBENGINE_CONFIG += use_system_icu
+ else: WEBENGINE_CONFIG += use_bundled_icu
} else {
cross_compile: WEBENGINE_CONFIG += embedded_build reduce_binary_size
}
@@ -136,18 +138,18 @@ defineTest(runConfigure) {
unix:!darwin {
log("System library dependencies:$${EOL}")
- use?(system_icu) {
- packagesExist("icu-uc icu-i18n") {
- log(" ICU ................................ Using system version$${EOL}")
+ !isQtMinimum(5, 8) {
+ use?(system_icu) {
+ packagesExist("\'icu-uc >= 53\', \'icu-i18n >= 53\'") {
+ log(" ICU ................................ Using system version$${EOL}")
+ } else {
+ log(" ICU ................................ System ICU not found$${EOL}")
+ skipBuild("Unmet dependencies: icu-uc, icu-i18n")
+ }
} else {
- log(" ICU ................................ System ICU not found$${EOL}")
- skipBuild("Unmet dependencies: icu-uc, icu-i18n")
+ log(" ICU ................................ Using internal copy (Default, force system ICU with WEBENGINE_CONFIG+=use_system_icu)$${EOL}")
+ WEBENGINE_CONFIG += use_bundled_icu
}
- } else {
- log(" ICU ................................ Using internal copy (Default, force system ICU with WEBENGINE_CONFIG+=use_system_icu)$${EOL}")
- WEBENGINE_CONFIG += use_bundled_icu
- }
- !isQtMinimum(5, 8) {
use?(system_ffmpeg) {
packagesExist("libavcodec libavformat libavutil") {
packagesExist("libwebp, libwebpdemux, opus, \'vpx >= 1.4\'"){